Zigbee Adapter lässt sich nicht mehr installieren

  • Hallo zusammen,


    ich hatte den Zigbee Adapter bereits einmal installiert. Nach einer Deinstallation kann ich nun den Adapter leider nicht mehr installieren. Ich erhalte folgende Fehler:



    $ ./iobroker add zigbee --host ioBroker-RasPi

    NPM version: 6.13.6

    npm install iobroker.zigbee@0.10.2 --loglevel error --prefix "/opt/iobroker" (System call)

    sh: 1:

    prebuild-install: not found

    Traceback (most recent call last): File "/usr/local/lib/node_modules/npm/node_modules/node-gyp/gyp/gyp_main.py", line 47, in <module> import gyp File "/usr/local/lib/node_modules/npm/node_modules/node-gyp/gyp/pylib/gyp/__init__.py", line 10, in <module> import gyp.input File "/usr/local/lib/node_modules/npm/node_modules/node-gyp/gyp/pylib/gyp/input.py", line 9, in <module> import gyp.common File "/usr/local/lib/node_modules/npm/node_modules/node-gyp/gyp/pylib/gyp/common.py", line 10, in <module> import tempfile File "/usr/lib/python3.5/tempfile.py", line 44, in <module> import shutil as _shutil File "/usr/lib/python3.5/shutil.py", line 22, in <module> import bz2 File "<frozen importlib._bootstrap>", line 969, in _find_and_load File "<frozen importlib._bootstrap>", line 958, in _find_and_load_unlocked File "<frozen importlib._bootstrap>", line 673, in _load_unlocked File "<frozen importlib._bootstrap_external>", line 669, in exec_module File "<frozen importlib._bootstrap_external>", line 773, in get_code File "<frozen importlib._bootstrap_external>", line 484, in _compile_bytecodeValueError: bad marshal data (invalid reference)

    gyp

    ERR! configure error

    gyp ERR! stack Error: `gyp` failed with exit code: 1gyp ERR! stack at ChildProcess.onCpExit (/usr/local/lib/node_modules/npm/node_modules/node-gyp/lib/configure.js:351:16)gyp ERR! stack at ChildProcess.emit (events.js:223:5)gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:272:12)gyp ERR! System Linux 4.19.66-v7+gyp ERR! command "/usr/local/bin/node" "/usr/local/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild"gyp ERR! cwd /opt/iobroker/node_modules/iobroker.zigbee/node_modules/serialportgyp ERR! node -v v12.14.1gyp ERR! node-gyp -v v5.0.5gyp ERR! not ok

    npm

    ERR! code

    ELIFECYCLE

    npm

    ERR! errno

    1npm

    ERR! serialport@6.2.2 install: `prebuild-install || node-gyp rebuild`npm

    ERR! Exit status 1npm

    ERR!

    npm ERR! Failed at the serialport@6.2.2 install script.npm ERR! This is probably not a problem with npm. There is likely additional logging output above.


    npm ERR! A complete log of this run can be found in:npm ERR! /home/i



    Ich habe auch bereits den ioBroker Fixer probiert leider ohne Erfolg. Auch ein installieren über die Konsole ist leider nicht mehr mölgich.

  • Geht leider auch nicht. Erhalte folgende Fehlermeldungen:


    $ ./iobroker url "https://github.com/ioBroker/ioBroker.zigbee" --debug

    install https://github.com/ioBroker/io…63d32c0e1c8b76a706c1acc9d

    NPM version: 6.13.6

    npm install https://github.com/ioBroker/io…63d32c0e1c8b76a706c1acc9d --loglevel error --prefix "/opt/iobroker" (System call)

    > @serialport/bindings@8.0.7 install /opt/iobroker/node_modules/iobroker.zigbee/node_modules/@serialport/bindings> prebuild-install --tag-prefix @serialport/bindings@ || node-gyp rebuild

    Traceback (most recent call last): File "/usr/local/lib/node_modules/npm/node_modules/node-gyp/gyp/gyp_main.py", line 47, in <module> import gyp File "/usr/local/lib/node_modules/npm/node_modules/node-gyp/gyp/pylib/gyp/__init__.py", line 10, in <module> import gyp.input File "/usr/local/lib/node_modules/npm/node_modules/node-gyp/gyp/pylib/gyp/input.py", line 9, in <module> import gyp.common File "/usr/local/lib/node_modules/npm/node_modules/node-gyp/gyp/pylib/gyp/common.py", line 10, in <module> import tempfile File "/usr/lib/python3.5/tempfile.py", line 44, in <module> import shutil as _shutil File "/usr/lib/python3.5/shutil.py", line 22, in <module> import bz2 File "<frozen importlib._bootstrap>", line 969, in _find_and_load File "<frozen importlib._bootstrap>", line 958, in _find_and_load_unlocked File "<frozen importlib._bootstrap>", line 673, in _load_unlocked File "<frozen importlib._bootstrap_external>", line 669, in exec_module File "<frozen importlib._bootstrap_external>", line 773, in get_code File "<frozen importlib._bootstrap_external>", line 484, in _compile_bytecodeValueError: bad marshal data (invalid reference)

    gyp

    ERR! configure error

    gyp ERR! stack Error: `gyp` failed with exit code: 1gyp ERR! stack at ChildProcess.onCpExit (/usr/local/lib/node_modules/npm/node_modules/node-gyp/lib/configure.js:351:16)gyp ERR! stack at ChildProcess.emit (events.js:223:5)gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:272:12)gyp ERR! System Linux 4.19.66-v7+gyp

    ERR! command "/usr/local/bin/node" "/usr/local/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild"gyp ERR! cwd /opt/iobroker/node_modules/iobroker.zigbee/node_modules/@serialport/bindingsgyp ERR! node -v v12.14.1gyp ERR! node-gyp -v v5.0.5gyp

    ERR! not ok

    npm

    ERR! code ELIFECYCLEnpm

    ERR!

    errno 1

    npm ERR!

    @serialport/bindings@8.0.7 install: `prebuild-install --tag-prefix @serialport/bindings@ || node-gyp rebuild`npm

    ERR! Exit status 1npm ERR! npm ERR! Failed at the @serialport/bindings@8.0.7 install script.npm ERR! This is probably not a problem with npm. There is likely additional logging output above.


    npm ERR!

    A complete log of this run can be found in:npm

    ERR! /home/iobroker/.npm/_logs/2020-02-02T11_45_14_900Z-debug.log

    ERROR: host.ioBroker-RasPi Cannot install https://github.com/ioBroker/io…3d32c0e1c8b76a706c1acc9d: 1

    ERROR: process exited with code 25

  • Und funktioniert es jetzt? Oder brauchst du noch Hilfe?

    Mit freundlichen Grüßen Leon



    :!:Alle Fehler in diesem Post sind beabsichtigt, um den Unterhaltungswert des Inhalts für Sie zu steigern:!:


    Es gibt nichts langweiligeres als ein komplettes und funktionierendes System8o

    Kommt auch aufs: XiaomiForum



  • Hallo,

    könntest du folgendes Versuchen?

    Erst das in die Konsole eingeben:

    Code
    1. cd /opt/iobroker
    2. sudo npm rebuild
    3. iobroker restart

    Dann den Adapter installieren

    Mit freundlichen Grüßen Leon



    :!:Alle Fehler in diesem Post sind beabsichtigt, um den Unterhaltungswert des Inhalts für Sie zu steigern:!:


    Es gibt nichts langweiligeres als ein komplettes und funktionierendes System8o

    Kommt auch aufs: XiaomiForum



  • bei dem Befehl sudo npm rebuild

    erhalte ich folgende Fehlermeldungen:

  • Wie mehrfach in dem Log geschrieben einfach folgenden Befehl eingeben und dann das ganze noch einmal starten:

    Code
    1. sudo chown -R 1000:1000 "/root/.npm"

    Mit freundlichen Grüßen Leon



    :!:Alle Fehler in diesem Post sind beabsichtigt, um den Unterhaltungswert des Inhalts für Sie zu steigern:!:


    Es gibt nichts langweiligeres als ein komplettes und funktionierendes System8o

    Kommt auch aufs: XiaomiForum



  • Die gleichen Fehler wie in welchem Post?

    Mit freundlichen Grüßen Leon



    :!:Alle Fehler in diesem Post sind beabsichtigt, um den Unterhaltungswert des Inhalts für Sie zu steigern:!:


    Es gibt nichts langweiligeres als ein komplettes und funktionierendes System8o

    Kommt auch aufs: XiaomiForum



  • Sorry, hier nochmal die Error's:


  • Was ist die Ausgaben von:

    Code
    1. node -v

    Und könntest du bitte folgendes Versuchen?

    Code
    1. sudo su
    2. apt update
    3. apt upgrade -y
    4. cd /opt/iobroker
    5. npm install -g node-gyp
    6. npm rebuild -g --unsafe-perm

    Mit freundlichen Grüßen Leon



    :!:Alle Fehler in diesem Post sind beabsichtigt, um den Unterhaltungswert des Inhalts für Sie zu steigern:!:


    Es gibt nichts langweiligeres als ein komplettes und funktionierendes System8o

    Kommt auch aufs: XiaomiForum



  • Code
    1. root@ioBroker-RasPi:/opt/iobroker# node -v
    2. v12.14.1

    Schon mal vielen Dank für deine Hilfe!

  • Hat das "npm rebuild -g --unsafe-perm" Fehlerfrei funktioniert?

    Mit freundlichen Grüßen Leon



    :!:Alle Fehler in diesem Post sind beabsichtigt, um den Unterhaltungswert des Inhalts für Sie zu steigern:!:


    Es gibt nichts langweiligeres als ein komplettes und funktionierendes System8o

    Kommt auch aufs: XiaomiForum



  • beide Befehle haben nur mit einem sudo davor funktioniert

    Code
    1. sudo npm install -g node-gyp
    2. sudo npm rebuild -g --unsafe-perm


    ich erhalte aber immer noch folgende Fehler beim Verusch den Adapter ber Konsole zu installieren: